Collect company roles associated with the user. This includes: Any company roles of which the user is either a direct or indirect member, i.e. the user can operate on behalf of that company Any company role such that the user is a member of a role which is directly or indirectly managed by that company
Authorization
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Query Parameters
Only return companies with one of the specified ids
Only return companies with one of the specified uuids
Only return companies managing roles with one of the specified ids
Only return roles with one or more views relations to a view with one of the specified view ids
Only return roles with one or more views relations to a view with one of the specified insights versions
Response Body
application/json
application/json
curl -X GET "https://api.eniris.be/v1/company"{
"company": [
{
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"name": "string"
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Failed to verify token"
}Validate a refresh token GET
Validate a refresh token
Collect devices (replaced by POST /v1/device/query) GET
Get all (or some of) the devices which are monitored by roles of which the user is a member. Using the query parameters, it is possible to apply filters both on devices which are returned, and on the properties of those devices. The POST /v1/device/query is a preferable alternative, which can better handle complex filters
